//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using CommunityServer.Components;
using CommunityServer.Galleries.Components;

namespace CommunityServer.ControlPanel.Photos
{
	/// <summary>
	/// Summary description for DeleteGalleryPostCommand.
	/// </summary>
	public class DeleteGalleryPostCommand : GalleryCommand
	{
		public DeleteGalleryPostCommand()
		{
			//
			// TODO: Add constructor logic here
			//
		}

	    public override string Message(GalleryCommandPage page)
	    {
			CSContext context = CSContext.Current;
			int postID = context.GetIntFromQueryString("PostID", 0);
			if(postID > 0)
            {
            	GalleryPost p = GalleryPosts.GetPicture(postID);
                if(p != null)
                {
                    return "Are you sure you want to delete <strong>" + p.Subject + "</strong>? This action can not be undone.";
                }
            }
	        
            throw new Exception("The Gallery Post could not be found");
	    }

	    public override void Action(GalleryCommandPage page)
	    {
			CSContext context = CSContext.Current;
			int postID = context.GetIntFromQueryString("PostID", 0);
			if(postID > 0)
            {
            	GalleryPost p = GalleryPosts.GetPicture(postID);
                if(p != null)
                {
                	GalleryPosts.DeletePicture(p) ;
                    return;
                }
            }

            throw new Exception("The Gallery Post could not be found");
	        
	    }

        public override string Title
        {
            get
            {
                return "Delete Post";
            }
        }

	}
}
